- API
- Remote upload retry
GET
https://send.now/api/upload/urlrestart?key=1ltghrilhllgrx2b2&file_code=0rw8u8exqqte
| Parameters |
Description |
Example |
Format |
Required |
| key |
API-Key |
1ltghrilhllgrx2b2 |
String |
yes |
| file_code |
File code of the job (file_code in the list), or use id |
0rw8u8exqqte |
String |
yes |
| id |
Job id (id in the list), instead of file_code |
8123 |
Number |
no |
cURL example
curl --include \
'https://send.now/api/upload/urlrestart?key=1ltghrilhllgrx2b2&file_code=0rw8u8exqqte'
Response
{
"msg": "OK",
"result": { "restarted": 1 },
"status": 200,
"server_time": "2024-08-01 18:20:00"
}
Notice
|
Puts a failed or stuck download back in the queue to start again. A job that is waiting or is still downloading is not touched: 404 "Nothing to restart". |
|
Only your own jobs. |
Status code
| 200 |
Everything is OK. Request succeeded |
| 400 |
Bad request (e.g. wrong parameters) |
| 403 |
Permission denied |
| 404 |
File not found |
| 451 |
Unavailable
|